Name:		vstar
Version:	2.14.2
Release:	%mkrel 2
Summary:	Variable star plotting
License:	GPLV2+
Group:		Sciences/Astronomy
Url:		http://www.citzensky.org/
Source0:	vstar-2.14.2.tar.bz2
#svn export  http://vstar.svn.sourceforge.net/svnroot/vstar/tags/DEV-AAVSO-17Dec2012 vstar-2.14.2
#rm -rf vstar-2.14.2/mockups
#tar cjf vstar-2.14.2.tar.bz2 vstar-2.14.2
#rm -rf vstar-2.14.2

BuildRequires:	java, ant
# Build runs svnversion
BuildRequires:  subversion
Requires:	java
BuildArch: noarch

%description
VStar is a multi-platform, easy-to-use variable star data
visualization and analysis tool that was developed as part of the
Citizen Sky project. Data for a star can be read from the AAVSO
database or from a text file of your own creation. It will plot the
data on a light curve then its up to you what happens next!

%prep
%setup -q

%build
ant

%install
#make some install dirs
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_exec_prefix}/lib/%{name}

#icons
%{__mkdir_p} %{buildroot}/%{_datadir}/icons
cp extlib/vstaricon.png %{buildroot}/%{_datadir}/icons/vstar.png

#install package
cp -avr dist %{buildroot}%{_exec_prefix}/lib/%{name}
cp -avr extlib %{buildroot}%{_exec_prefix}/lib/%{name}

cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
cd %{_exec_prefix}/lib/%{name}
java -splash:"extlib/vstaricon.png" \
     -Xms25m -Xmx500m -jar "dist/vstar.jar" $*
EOF

#make our launch wrapper executable
chmod +x %{buildroot}%{_bindir}/*

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=VStar
Comment=%summary
Exec=%{name}
Terminal=false
Type=Application
Icon=vstar
Categories=Astronomy;Education;Science;
EOF


%files
%doc doc data ReadMe.txt FAQ.txt
%{_bindir}/vstar
%{_exec_prefix}/lib/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/vstar.png



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.14.2-2.mga4
+ Revision: 530558
- Mageia 4 Mass Rebuild

* Thu Jul 25 2013 joequant <joequant> 2.14.2-1.mga4
+ Revision: 457990
- clean spec
  update to 2.14.2
- imported package vstar

